@import url(reset.css);
body {
  /* background: linear-gradient(135deg, #4facfe, #3a7579); */

  background-image: url("assets/img_hexagones.jpg");
  background-repeat: no-repeat;
  background-size: cover;

  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  min-height: 100vh;
  color: #333;
}

.header {
  width: 100%;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  margin-bottom: 2rem;
}

.container {
  display: flex;
  flex-direction: column;
  justify-content: center !important;
  align-items: center !important;
  max-width: 1040px;
  width: 100% !important;
  height: auto;
}

.container__image {
  width: 1400px;
  display: none;
  justify-content: center;
}

.title__h1 {
  color: #f7f7f7;
  margin-top: 2rem;
}

.intro__paragraph {
  margin-bottom: 2rem;
  text-align: center;
  font-size: 36px;
  font-weight: bold;
  color: #f7f7f7;
}

.btn__random,
.btn__replay {
  width: 150px;
  height: 75px;
  padding: 10px 20px;
  font-size: 24px;
  font-weight: bold;
  color: white;
  background-color: #f76c6c;
  border: none;
  border-radius: 5rem;
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.2s ease; /* Uniformisation */
  margin-bottom: 2rem;
  text-decoration: none;
}

.btn__random:hover,
.btn__replay:hover {
  opacity: 70%;
  background-color: green;
  color: black;
  transform: scale(1.1); /* Ajout d'un effet de zoom */
}

.btn__replay {
  display: none; /* Masquer le bouton Rejouer par défaut */
}

.clavier {
  display: flex;
  gap: 10px;
  justify-content: center;
  align-items: center;
  margin-bottom: 2rem;
}

.tbody__clavier {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  width: 900px;
  height: 200px;
}

.tr__clavier {
  width: 80%;
  height: 80%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.touch__clavier {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  width: 90px;
  height: 70px;
  background-color: #f7f7f7;
  border: 2px solid #333;
  border-radius: 5px;
  font-size: 22px;
  font-weight: bold;
  cursor: pointer;
  transition: background-color 0.3s ease, transform 0.2s ease;
}

.touch__clavier:hover {
  background-color: rgb(89, 147, 235);
  transform: scale(1.1);
}
.touch__clavier:active {
  background-color: #4682b4;
  transform: scale(0.7);
}

.result1 {
  display: none;
}

.image__pendu {
  width: 250px;
  height: 300px;
  border: 4px solid rgb(12, 158, 226);
  display: flex;
  justify-content: start;
  align-items: center;
  margin-bottom: 1rem;
  overflow: hidden;
}

.pendu__content {
  z-index: -1;
  transition: transform 0.5s ease; /* Ajout d'une transition fluide */
}

.move__image {
  transform: translateX(-250px);
}

.move__image2 {
  transform: translateX(-500px);
}

.move__image3 {
  transform: translateX(-750px);
}
.move__image4 {
  transform: translateX(-1000px);
}

.move__image5 {
  transform: translateX(-1250px);
}

.move__image6 {
  transform: translateX(-1500px);
}

.move__image7 {
  transform: translateX(-1750px);
}

.move__image8 {
  transform: translateX(-2000px);
}
.move__image9 {
  transform: translateX(-2250px);
}

.result__clavier {
  width: 700px;
  height: 50px;
  margin-top: -2rem;
  margin-bottom: 2rem;
  display: flex;
  justify-content: center;
}

.touch {
  width: 40px;
  height: 60px;
  border: 2px solid black;
}
.table__result td {
  border-spacing: 2rem;
  font-size: 42px;
  font-weight: bold;
  text-align: center;
}

.touch2 {
  width: 40px;
  height: 60px;
  border: 2px solid white;
  color: #f7f7f7;
}

.message {
  font-size: 42px;
  font-weight: bold;
}

footer {
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  height: 100px;
  font-size: 16px;
  font-weight: lighter;
}

.link__btn {
  text-decoration: none;
}

.link__portfolio {
  margin-top: 2rem;
  font-size: 16px;
  font-weight: lighter;
  color: white;
  text-decoration: none;
}

.link__portfolio:hover {
  color: red;
}

@media screen and (max-width: 500px) {
  header {
    display: none !important;
  }

  .intro__paragraph {
    font-size: 24px;
  }
  .btn__random {
    margin-top: 4.5rem;
  }

  body {
    width: 100% !important;
    height: auto;
    display: flex;
  }

  .container {
    width: 100% !important ;
    height: 100vh;
    margin-left: 2rem;
    display: flex;
    align-items: center !important;
    justify-content: center !important;
    justify-self: center !important;
    align-self: center !important;
  }

  .title__h1 {
    margin-bottom: 4rem;
  }

  .tbody__clavier {
    width: 100%;
    height: auto;
  }
  .touch__clavier {
    width: 50px;
    height: 35px;
    font-size: 16px;
  }

  .result__clavier {
    width: 500px;
  }

  .result2 {
    margin-top: 2rem;
    max-width: 400px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .touch2 {
    width: 18px;
    height: auto;
  }

  .table__result td {
    font-size: 24px;
  }

  .tr__clavier {
    width: 50%;
    height: auto;
    gap: 2px;
  }

  .container__image {
    width: 100%;
    height: auto;
  }
  .message {
    font-size: 24px;
    text-align: center;
    margin-bottom: 1rem;
  }
}
